Error message

Deprecated function: Methods with the same name as their class will not be constructors in a future version of PHP; GeSHi has a deprecated constructor in require_once() (line 915 of /var/www/davidherron.com/sites/all/modules/libraries/libraries.module).

Node.js available for Windows via ChocolateyGallery

Topics: 
Because I freed myself of Windows a long time ago, I am completely ignorant of the state of the art in living with Windows without going insane.  I probably just offended the target audience, so I'll stop there.

In case you don't know (as I didn't), ChocolateyGallery is "somewhat like apt-get but built for Windows".  Or, for my mind, it's like MacPorts, but built for Windows.  Anyway, it apparently has a large suite of open source packages available for easy install.  See http://chocolatey.org/ for more info on the thing.

At http://chocolatey.org/packages/nodejs.install/0.6.11 we see that Node.js installation is as simple as

C:\> cinst nodejs.install